Bug 495565 - switch user terminates current session
switch user terminates current session
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_945GM
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 16:08 EDT by Mads Villadsen
Modified: 2010-02-25 08:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-25 08:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (53.49 KB, text/plain)
2009-04-13 16:09 EDT, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2009-04-13 16:08:59 EDT
Description of problem:
After switching to another user I am unable to return to the original session as it has been killed. I have to login again from the GDM login window.

This is on a Dell Latitude D820. Smolt hw info:
http://www.smolts.org/show?uuid=pub_6b4f0342-3fc5-4335-afdd-fdfc4749b0c4

I am running without an xorg.conf.

Possibly related to #495562 ?

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-2.fc11.i586

How reproducible:
Mostly it happens on the first switch, but sometimes I have to do it twice to make the original session disappear.

Steps to Reproduce:
1. Select Switch User (from a locked screen or from the user switch applet).
2. Notice how the session is marked at already being logged in at the GDM login window.
3. Log in as another user, and then logout.
4. The first user is now no longer logged in.
  
Actual results:
The first user loses his session.

Expected results:
Should be able to have many users logged in at the same time, and switch between them.

Additional info:
Comment 1 Mads Villadsen 2009-04-13 16:09:59 EDT
Created attachment 339371 [details]
xorg log file
Comment 2 Bug Zapper 2009-06-09 09:46:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-11-05 13:26:29 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Mads Villadsen 2009-11-06 15:26:57 EST
I am no longer able to reproduce this using Fedora 12.
Comment 6 Matěj Cepl 2010-02-25 08:20:17 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.